Class
LocalMatch
Stores information about local matches.
LocalMatch<TId, TPosition>
Include Headers
seqan/parse_lm.h
Parameters

TId | Type to use for subject/query id.
TPosition | Type to use for storing positions.

Remarks
Matches on the reverse-complement are encoded by the begin position being greater than the end position.
Sequence names are not stored in LocalMatch objects but in the LocalMatchStore they belong to.
Data Members

queryBeginPos | Begin position of local match in the query.
queryEndPos | End position of local match in the query.
queryId | The id of the query.
subjectBeginPos | Begin position of local match in the subject.
subjectEndPos | End position of local match in the subject.
subjectId | The id of the subject.

See Also
LocalMatchStore
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56